CentOS 7 : rpm (CESA-2014:1976)

critical Nessus Plugin ID 79877

Synopsis

遠端 CentOS 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 7 的更新版 rpm 套件,可修正兩個安全性問題。

Red Hat 產品安全性團隊已將此更新評等為具有重要安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

RPM Package Manager (RPM) 是一套功能強大的命令行驅動套件管理系統,可用於安裝、解除安裝、驗證、查詢及更新軟體套件。每個軟體套件都含有檔案封存,以及有關套件的資訊,例如:套件版本、描述及其他資訊。

據發現,RPM 會將檔案內容寫入到使用暫時名稱的目標安裝目錄,並且只有在暫存檔已完全寫入後,才會驗證其密碼編譯簽章。
在某些情況下,系統會解譯未驗證的暫存檔內容,並從中擷取命令。這可能會讓攻擊者修改已簽署的 RPM 檔案,從而可以在套件安裝期間,執行其所選擇的程式碼。
(CVE-2013-6435)

據發現,在 RPM 檔案的承載區段中,剖析特製的 CPIO 標頭時,RPM 可能會出現整數溢位,從而導致堆疊型緩衝區溢位。這可能會讓攻擊者修改已簽署的 RPM 檔案,從而可以在套件安裝期間,執行其所選擇的程式碼。(CVE-2014-8118)

這些問題是由 Red Hat 產品安全性團隊的 Florian Weimer 所發現。

建議所有 rpm 使用者皆升級至這些更新版套件,其中含有可更正這些問題的反向移植修補程式。必須重新啟動所有連結到 RPM 程式庫的執行中應用程式,此更新才會生效。

解決方案

更新受影響的 rpm 套件。

另請參閱

http://www.nessus.org/u?0e9e5a8b

Plugin 詳細資訊

嚴重性: Critical

ID: 79877

檔案名稱: centos_RHSA-2014-1976.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2014/12/15

已更新: 2021/1/4

支持的傳感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 7.4

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2014-8118

弱點資訊

CPE: p-cpe:/a:centos:centos:rpm, p-cpe:/a:centos:centos:rpm-apidocs, p-cpe:/a:centos:centos:rpm-build, p-cpe:/a:centos:centos:rpm-build-libs, p-cpe:/a:centos:centos:rpm-cron, p-cpe:/a:centos:centos:rpm-devel, p-cpe:/a:centos:centos:rpm-libs, p-cpe:/a:centos:centos:rpm-python, p-cpe:/a:centos:centos:rpm-sign, cpe:/o:centos:centos:7

必要的 KB 項目: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2014/12/10

弱點發布日期: 2014/12/16

參考資訊

CVE: CVE-2013-6435, CVE-2014-8118

BID: 71558, 71588

RHSA: 2014:1976